package lz4Util

import (
	"fmt"
	"github.com/bkaradzic/go-lz4"
)

// 压缩
// 		data：待压缩数据
// 返回值：
// 		压缩后数据
// 		对应的错误
func Compress(data []byte)([]byte, error) {
	compressed, err := lz4.Encode(nil, data)
	if err != nil {
		fmt.Println("Failed to encode:", err)
		return nil,err
	}

	return compressed,nil
}

// 解压缩
// 		data:待解压缩数据
// 返回值：
// 		解压缩后数据
// 		对应的错误
func Decompress(data []byte) ([]byte, error){
	decompressed, err := lz4.Decode(nil, data)
	if err != nil {
		fmt.Println("Failed to decode:", err)
		return nil,err
	}

	return decompressed,nil
}